<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>GridListener</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GridListener";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GridListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/GameOnline.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/InitialisationOnlineGame.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/GridListener.html" target="_top">Frames</a></li>
<li><a href="GridListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class GridListener" class="title">Class GridListener</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controler.GridListener</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.event.MouseListener, java.awt.event.MouseWheelListener, java.util.EventListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GridListener</span>
extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseWheelListener</pre>
<div class="block">The listener is used in the jpanel of the grid to know the position and if the player click.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/GridListener.html#GridListener(view.Grid,%20controler.Game)">GridListener</a></strong>(<a href="../view/Grid.html" title="class in view">Grid</a>&nbsp;grid,
            <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</code>
<div class="block">Instantiates a new grid listener.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#getPosition(javax.swing.JLabel)">getPosition</a></strong>(javax.swing.JLabel&nbsp;label)</code>
<div class="block">Gets the position of the jLabel on the grid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Reverse the piece if the player use the right click.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Actualize the position of the cursor in the game (the attribute position of game)
 and add the nextPiece temporaly in the grid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>
<div class="block">Remove the last temporal piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></strong>(java.awt.event.MouseEvent&nbsp;e)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../controler/GridListener.html#mouseWheelMoved(java.awt.event.MouseWheelEvent)">mouseWheelMoved</a></strong>(java.awt.event.MouseWheelEvent&nbsp;e)</code>
<div class="block">Rotate the piece of the grid if the sense of the wheel.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GridListener(view.Grid, controler.Game)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GridListener</h4>
<pre>public&nbsp;GridListener(<a href="../view/Grid.html" title="class in view">Grid</a>&nbsp;grid,
            <a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;game)</pre>
<div class="block">Instantiates a new grid listener.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>grid</code> - the grid of the game</dd><dd><code>game</code> - the actual game</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="mousePressed(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mousePressed</h4>
<pre>public&nbsp;void&nbsp;mousePressed(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a name="mouseReleased(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseReleased</h4>
<pre>public&nbsp;void&nbsp;mouseReleased(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a name="mouseEntered(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseEntered</h4>
<pre>public&nbsp;void&nbsp;mouseEntered(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Actualize the position of the cursor in the game (the attribute position of game)
 and add the nextPiece temporaly in the grid.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseEntered</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a name="mouseExited(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseExited</h4>
<pre>public&nbsp;void&nbsp;mouseExited(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Remove the last temporal piece.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseExited</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a name="mouseClicked(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseClicked</h4>
<pre>public&nbsp;void&nbsp;mouseClicked(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Reverse the piece if the player use the right click.
 Add the piece to the grid if the player use the left click.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseClicked</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a name="mouseWheelMoved(java.awt.event.MouseWheelEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseWheelMoved</h4>
<pre>public&nbsp;void&nbsp;mouseWheelMoved(java.awt.event.MouseWheelEvent&nbsp;e)</pre>
<div class="block">Rotate the piece of the grid if the sense of the wheel.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>mouseWheelMoved</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseWheelListener</code></dd>
</dl>
</li>
</ul>
<a name="getPosition(javax.swing.JLabel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPosition</h4>
<pre>public&nbsp;<a href="../model/Position.html" title="class in model">Position</a>&nbsp;getPosition(javax.swing.JLabel&nbsp;label)</pre>
<div class="block">Gets the position of the jLabel on the grid.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>label</code> - the label</dd>
<dt><span class="strong">Returns:</span></dt><dd>the position of label</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GridListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/GameOnline.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/InitialisationOnlineGame.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/GridListener.html" target="_top">Frames</a></li>
<li><a href="GridListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
